	SUBROUTINE GETPOS(N, FILE, X, Y)
C************************************************************
C
C  THIS SUBROUTINE RETURNS THE USER CO-ORDINATES OF
C  THE DISPLAY BEAM WITHIN THE SPECIFIED DISPLAY FILE.
C
C  POSSIBLE ERRORS:
C	NONE
C
C  WARNING:
C	THIS ROUTINE IS ONLY VALID WHILE BUILDING A DISPLAY
C	FILE, USING THE DISPLAY CREATION ROUTINES. IT IS NOT
C	USED TO RETURN THE ACTUAL POSITION OF THE DISPLAY BEAM
C	ACTIVE ON THE SCREEN.
C
C  ROUTINES CALLED:
C	USERX  - RETURNS USER X POSITION OF RASTER IX
C	USERY  - RETURNS USER Y POSITION OF RASTER IY
C
C************************************************************
	INTEGER BEAMX, BEAMY, FILE(N)
	COMMON /SCLBLK/ XMIN, YMIN, XMAX, YMAX, BEAMX, BEAMY

	BEAMX = FILE(2)
	BEAMY = FILE(3)
	X = USERX(BEAMX)
	Y = USERY(BEAMY)
	RETURN
	END
